This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 499473 - Add new XMLRPC APIs for retrieving org <-> entitlement mappings
Add new XMLRPC APIs for retrieving org <-> entitlement mappings
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Brad Buckingham
Sayli Karmarkar
:
Depends On:
Blocks: 456996
  Show dependency treegraph
 
Reported: 2009-05-06 15:15 EDT by Jay Dobies
Modified: 2015-03-22 21:10 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:55:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Dobies 2009-05-06 15:15:23 EDT
Description of problem:
For 433660 and 437361, the logic of the calls to retrieve the mappings of org <-> entitlement counts changed to include entries for when an org has a zero count for an entitlement. These were added as a new calls internally to not disturb the existing APIs.

After discussing with Brad, it sounds like the best approach is to add new API calls for these new calls and work towards deprecating the old versions that do not return 0 entitlement count orgs.

There are two different calls that need to be updated: software channel entitlements and system entitlements

Version-Release number of selected component (if applicable):


How reproducible:
N/A

Steps to Reproduce:
N/A
  
Actual results:
N/A

Expected results:
- A parallel set of APIs that support both filtering of zero count entitled orgs and including them.

- The deprecation of the existing calls.

Additional info:
Comment 1 Brad Buckingham 2009-05-08 16:07:49 EDT
master git commit:  aa2613f8cf1e823ae870d9bf10a3e286c186d825
vader git commit: 5d1691c6a104fb2670a2eecbe1b70b77f2214919

deprecated:
org.listSoftwareEntitlements(sessionKey, label)
org.listSystemEntitlements(sessionKey, label)

added:
org.listSoftwareEntitlements(sessionKey, label, includeUnentitled)
org.listSystemEntitlements(sessionKey, label, includeUnentitled)
Comment 2 Brad Buckingham 2009-05-20 09:21:03 EDT
Mass move to ON_QA.
Comment 3 Sayli Karmarkar 2009-05-22 15:10:05 EDT
Verified. Added additional automation tests.
Comment 4 Preethi Thomas 2009-08-27 10:06:10 EDT
Release Pending
sayli helped with the testing.
Comment 5 Brandon Perkins 2009-09-10 15:55:33 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.